Subject: Re: perl 5.8.6
From: Yitzchak Scott-Thoennes <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>
Cc: [email-masked]
Date: Sun, 9 Jan 2005 15:01:50 -0800

On Sun, Jan 09, 2005 at 06:11:42PM +0100, Gerrit P. Haase wrote:
> Yitzchak Scott-Thoennes wrote:
> 
> >On Wed, Dec 08, 2004 at 11:30:53AM -0800, Yitzchak Scott-Thoennes wrote:
> >
> >>Gerrit, I've hoped to have some time to work on Win32:: stuff on the
> >>perl side, but haven't gotten around to it.  For 5.8.6, could you give
> >>a try to including the Win32CORE module from the perl-libwin32 package
> >>as a static extension and the Win32 module as a dynamic extension (and
> >>bootstrap Win32CORE in cygwin.c)?  If it works, that would make cygwin
> >>have equivalent to what's in win32 perl.
> >
> >
> >Here's the Win32CORE part.  I'd really like to see the builtin Win32::
> >functions be available in the cygwin perl, and this seems the easiest
> >way to do it for just a cygwin release, but in the longer term I'm
> >really hoping to get the equivalent (only newer now) code in from the
> >regular win32 perl build shared between win32 and cygwin by the time
> >5.8.7 is ready.  AIUI cutoff for that will be February 1st.

Unfortunately, this is looking unlikely at this point.  I've been
working on getting a regular win32 build to work under cygwin so
I can do testing, but haven't had enough time to get very far
with actually making the code shared.

> >This patch should apply to the perl-5.8.6 source, and the tarball has
> >the new files for the Win32CORE extension.  Those are taken verbatim
> >from the perl-libwin32 package, except that I added a "no warnings
> >"redefine"' to the Win32CORE.pm so those who use it don't get warnings.
> >I didn't make it just a no-op in case there are people sharing modules
> >between different versions of perl.
> 
> Hmmm, getting this error:
> 
>   Skipping lib/auto/Win32CORE/Win32CORE.a (directory does not exist)

Can I have a little more context?  If this is during the make, this
is what I see:

chmod 755 ../../lib/auto/DynaLoader/DynaLoader.a
make[1]: Leaving directory `/home/sthoenna/dl/tmp/perl-5.8.6/ext/DynaLoader'

        Making Win32CORE (static_pic)
Processing hints file hints/cygwin.pl
Writing Makefile for Win32CORE
make[1]: Entering directory `/home/sthoenna/dl/tmp/perl-5.8.6/ext/Win32CORE'
make[1]: Leaving directory `/home/sthoenna/dl/tmp/perl-5.8.6/ext/Win32CORE'
make[1]: Entering directory `/home/sthoenna/dl/tmp/perl-5.8.6/ext/Win32CORE'
cp Win32CORE.pm ../../lib/Win32CORE.pm
gcc -c   -DPERL_USE_SAFE_PUTENV -DDEBUGGING -fno-strict-aliasing -pipe  -pipe  -DUSEIMPORTLIB -g   -DVERSION=\"0.01\" -DXS_VERSION=\"0.01\"  "-I../.."  -DMODULE -DBACKPORT Win32CORE.c
rm -rf ../../lib/auto/Win32CORE/Win32CORE.a
/usr/bin/ar cr ../../lib/auto/Win32CORE/Win32CORE.a Win32CORE.o  && : ../../lib/auto/Win32CORE/Win32CORE.a
chmod 755 ../../lib/auto/Win32CORE/Win32CORE.a
make[1]: Leaving directory `/home/sthoenna/dl/tmp/perl-5.8.6/ext/Win32CORE'

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/